POST api/GetDashboadCount

Request Information

URI Parameters

None.

Body Parameters

clsDashboard
NameDescriptionTypeAdditional information
lead_count

integer

None.

callback_lead_count

integer

None.

company_id

integer

None.

ErrorCode

integer

None.

AutoID

integer

None.

ErrorMsg

string

None.

Type

string

None.

bisalive

boolean

None.

strAction

string

None.

intCreatedBy

integer

None.

intcompany_id

integer

None.

dteCreatedDate

date

None.

intModifyBy

integer

None.

dteModifyDate

date

None.

PageNo

integer

None.

PageSize

integer

None.

TotalRecord

integer

None.

strSearchText

string

None.

Request Formats

application/json, text/json

Sample:
{
  "lead_count": 1,
  "callback_lead_count": 2,
  "company_id": 3,
  "ErrorCode": 4,
  "AutoID": 5,
  "ErrorMsg": "sample string 6",
  "Type": "sample string 7",
  "bisalive": true,
  "strAction": "sample string 9",
  "intCreatedBy": 1,
  "intcompany_id": 1,
  "dteCreatedDate": "2026-03-21T15:23:33.4060668+00:00",
  "intModifyBy": 1,
  "dteModifyDate": "2026-03-21T15:23:33.4060668+00:00",
  "PageNo": 10,
  "PageSize": 11,
  "TotalRecord": 12,
  "strSearchText": "sample string 13"
}

application/xml, text/xml

Sample:
<clsDashboard xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity.Model">
  <AutoID xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">5</AutoID>
  <ErrorCode xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">4</ErrorCode>
  <ErrorMsg xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">sample string 6</ErrorMsg>
  <PageNo xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">10</PageNo>
  <PageSize xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">11</PageSize>
  <TotalRecord xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">12</TotalRecord>
  <Type xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">sample string 7</Type>
  <bisalive xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">true</bisalive>
  <dteCreatedDate xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">2026-03-21T15:23:33.4060668+00:00</dteCreatedDate>
  <dteModifyDate xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">2026-03-21T15:23:33.4060668+00:00</dteModifyDate>
  <intCreatedBy xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">1</intCreatedBy>
  <intModifyBy xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">1</intModifyBy>
  <intcompany_id xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">1</intcompany_id>
  <strAction xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">sample string 9</strAction>
  <strSearchText xmlns="http://schemas.datacontract.org/2004/07/PozitivePlanetCentral.Entity">sample string 13</strSearchText>
  <callback_lead_count>2</callback_lead_count>
  <company_id>3</company_id>
  <lead_count>1</lead_count>
</clsDashboard>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsDashboard'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.